## clonezilla-live-src-20160412-wily-amd64.ubuntu.tar

=== tests/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/partclone
pkgincludedir = $(includedir)/partclone
pkglibdir = $(libdir)/partclone
pkglibexecdir = $(libexecdir)/partclone
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
#am__append_1 = ext2.test \
#	ext3.test ext4.test
#am__append_2 = btrfs.test
#am__append_3 = fat.test
#am__append_4 = reiserfs.test

#if ENABLE_REISER4
#TESTS += reiser4.test
#endif
#am__append_5 = hfsplus.test
#am__append_6 = xfs.test
#am__append_7 = exfat.test
#am__append_8 = f2fs.test
#am__append_9 = ntfs.test

#if ENABLE_UFS
#TESTS += ufs.test
#endif

#if ENABLE_VMFS
#TESTS += vmfs.test
#endif
#am__append_10 = jfs.test
#am__append_11 = btrfs.test
#am__append_12 = exfat.test
#am__append_13 = nilfs2.test
#am__append_14 = ncursesw.test
subdir = tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS =  .test
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
	$(TEST_LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver TODO
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/thomas/partclone/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/thomas/partclone/missing autoconf
AUTOHEADER = ${SHELL} /home/thomas/partclone/missing autoheader
AUTOMAKE = ${SHELL} /home/thomas/partclone/missing automake-1.15
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3

=== changelog ===
glibc (2.21-0ubuntu4.1) wily-security; urgency=medium

  * SECURITY UPDATE: glibc getaddrinfo stack-based buffer overflow
    - debian/patches/any/CVE-2015-7547.diff: fix buffer handling in
      resolv/nss_dns/dns-host.c, resolv/res_query.c, resolv/res_send.c.
    - CVE-2015-7547

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Feb 2016 11:42:41 -0500

glibc (2.21-0ubuntu4) vivid; urgency=medium

  * debian/patches/arm/local-arm-futex.diff: Lie about the minimum
    kernel support for futex_atomic_cmpxchg_inatomic to restore the
    previous state and make pulsesink happier on ARM (LP: #1436162)
  * debian/debhelper.in/libc.preinst: Wipe ld.so.cache on upgrades.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Mar 2015 14:31:51 -0600

glibc (2.21-0ubuntu3) vivid; urgency=medium

  * debian/patches/ubuntu/local-warn-bsd-source.diff: Don't warn on
    _BSD_SOURCE || _SVID_SOURCE, so we don't have to fix everything
    that might define them and build with -Werror, drop post-vivid.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Mar 2015 09:01:43 -0600

glibc (2.21-0ubuntu2) vivid; urgency=medium

  * debian/patches/powerpc/cvs-ppc-sqrt.diff: Fix sqrt() on powerpc.
  * debian/patches/powerpc/cvs-ppc-sqrtf.diff: Likewise for sqrtf().
  * debian/patches/powerpc/cvs-ppc-pow.diff: Likewise for pow().
  * debian/patches/powerpc/cvs-ppc-feraiseexcept.diff: Fix inline
    feraiseexcept and feclearexcept macro input conversion on PPC.
  * debian/patches/any/submitted-longdouble.diff: Refresh for above.
  * debian/patches/any/local-disable-test-tgmath2.diff: Likewise.
  * debian/patches/any/cvs-logbl-accuracy.diff: Fix ldbl-128ibm logbl.
  * debian/patches/powerpc/local-math-logb.diff: Refresh and move to
    debian/patches/any/local-math-logb.diff, as it's not PPC-specific.
  * debian/patches/any/cvs-localplt-new-readelf.diff: Preemptively
    fix localplt test breakage with binutils 2.26 before it lands.
  * debian/patches/any/cvs-make-typo.diff: Fix typo in elf/Makefile.
  * debian/patches/powerpc/cvs-power7-strncpy.diff: Optimize strncpy
    for POWER7 drastically (10-70%) on strings longer than 16 chars.
  * debian/patches/powerpc/cvs-ppc-tabort-le.diff: Fix TABORT encoding
    when building on toolchains without HTM support (no-op on gcc-4.9)
  * debian/patches/arm/cvs-arm-sfi_breg.diff: Fix LDR_GLOBAL macro.
  * debian/patches/arm/cvs-memcpy-memmove-always-bx.diff: Fix memcpy
    and memmove for the ARM_ALWAYS_BX class of hardware like ArmadaXP.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Mar 2015 15:19:40 -0600

glibc (2.21-0ubuntu1) vivid; urgency=medium

  * Merge with 2.21 from experimental (LP: #1425623), remaining changes:
    - Drop the Breaks line from libc which refers to a Debian transition.
    - Remove the libc6 recommends on libc6-i686, which we don't build.
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Ship update-locale and validlocale in /usr/sbin in libc-bin.
    - Don't build locales or locales-all in Ubuntu, we rely on langpacks.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386/i686 flavour with -mno-tls-direct-seg-refs.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Force tuning POWER7 builds to POWER8, as POWER7 is just a stopgap.
  * debian/patches/ubuntu/lddebug-scopes.diff: Disable tst-dl-iter-static.
  * debian/patches/ubuntu/submitted-no-stack-backtrace.diff: Fix missing
    include leading to FTBFS with -Werror=implicit-function-declaration.
  * debian/testsuite-checking/compare.sh: Turn testsuite failures back on.
  * debian/sysdeps/linux.mk: Also symlink sys/sdt-config.h (LP: #1418239)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Mar 2015 10:25:48 -0600

glibc (2.21-0experimental0) experimental; urgency=medium

  * New upstream release: version 2.21, with git updates up to 2015-02-10:
    - debian/patches/git-updates.diff: Updated.
    - debian/patches/all/submitted-po-fr-fixes.diff: Rebased.
    - debian/patches/alpha/cvs-__pointer_chk_guard.diff: Merged.
    - debian/patches/alpha/cvs-unwind-backtrace.diff: Merged.
    - debian/patches/alpha/local-gcc4.1.diff: Rebased.
    - debian/patches/alpha/local-lowlevellock.diff: Dropped.
    - debian/patches/alpha/local-string-functions.diff: Rebased.
    - debian/patches/alpha/submitted-PTR_MANGLE.diff: Rebased.
    - debian/patches/alpha/submitted-dl-support.diff: Rebased.
    - debian/patches/alpha/submitted-lll_futex_timed_wait_bitset.diff: Dropped.
    - debian/patches/alpha/submitted-rtld-fPIC.diff: Rebased.
    - debian/patches/amd64/cvs-slow-sse42.diff: Merged.
    - debian/patches/amd64/local-blacklist-on-TSX-Haswell.diff: Rebased.
    - debian/patches/amd64/submitted-rwlock-stack-imbalance.diff: Dropped.
    - debian/patches/any/cvs-check_pf-infinite-loop.diff: Merged.
    - debian/patches/any/cvs-getnetbyname.diff: Merged.
    - debian/patches/any/cvs-regex-alloca.diff: Merged.
    - debian/patches/any/cvs-resolv-first-query-failure.diff: Merged.
    - debian/patches/any/cvs-socketcall-syscall.diff: Merged.
    - debian/patches/any/cvs-strtod.diff: Merged.
    - debian/patches/any/cvs-vfprintf.diff: Merged.
    - debian/patches/any/cvs-wordexp.diff: Merged.
    - debian/patches/any/cvs-wprintf.diff: Merged.
    - debian/patches/any/cvs-wscanf.diff: Merged.
    - debian/patches/any/local-disable-libnss-db.diff: Rebased.
    - debian/patches/any/local-disable-test-tgmath2.diff: Rebased.
    - debian/patches/any/local-libgcc-compat-ports.diff: Rebased.
    - debian/patches/any/local-libpic.diff: Rebased.
    - debian/patches/any/local-no-SOCK_NONBLOCK.diff: Rebased.
    - debian/patches/any/local-no-pagesize.diff: Rebased.


=== debian/changelog ===
ifupdown (0.7.54ubuntu1.3) wily; urgency=medium

  * Fix false-positive recursion detection. (LP: #1545302)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Wed, 17 Feb 2016 17:48:41 +0100

ifupdown (0.7.54ubuntu1.2) wily; urgency=medium

  [ Martin Pitt ]
  * Fix ifquery crash if interface state file does not exist yet.
    (Closes: #810779, LP: #1532722)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Tue, 12 Jan 2016 11:07:00 +0100

ifupdown (0.7.54ubuntu1.1) wily; urgency=medium

  * Per-interface hierarchical locking. (LP: #1337873)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Thu, 01 Oct 2015 17:14:14 +0200

ifupdown (0.7.54ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - Allow setting the MTU and HWADDR on manual interfaces. (LP: #1294807)
    - The above change also means that manual interfaces will now be
      brought up and down (ias many users expected until now).
    - Disable link.defn as it's not covering all the cases supported by
      the vlan and bridge hooks and so causes more harm than good at this
      point. (LP: #1295304)
    - Add ifup-wait-all-auto.service which makes network-online.target wait
      for all "auto" /etc/network/interfaces for up to two minutes.
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.
   * Drop debian/ifupdown.udev. We don't support the "netdev" group.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jul 2015 06:44:18 +0200

ifupdown (0.7.54) unstable; urgency=medium

  [ Guus Sliepen ]
  * Adopting this package from Andrew Shadura. Closes: #786902
  * Converted the Mercurial repository to Git.
  * Clean up the source code (indentation, whitespace, remove some
    duplication, fix some warnings from cppcheck, clang, use C99, use const
    and static where possible, remove unused/obsolete files).
  * Prevent recursion using source and source-dir statements. Closes: #779786
  * Create /run/network if it doesn't exist. Closes: #681872
  * Bump Standards-Version.
  * Use [$arch-any] statements in debian/control for architecture-dependent
    Depends instead of conditionally calling dh_gencontrol from debian/rules.
  * Add -Wno-unused-parameters to CFLAGS in debian/rules.
  * Update debian/copyright and convert it to DEP-5 format.
  * Remove debian/README and debian/TODO, which are no longer relevant.
  * Update timestamp in manpages. Closes: #717266
  * Do not attempt to kill udhcpc if there is no pidfile. Closes: #744167
  * Add udev rule to allow rfkill for group netdev. Closes: #741454

  [ Yuriy Vostrikov ]
  * When using dhcpcd, pass the metric option. Closes: #784611

 -- Guus Sliepen <guus@debian.org>  Mon, 08 Jun 2015 23:39:41 +0200

ifupdown (0.7.53.1) unstable; urgency=medium

  * Update tests.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 13 Mar 2015 13:18:59 +0100

ifupdown (0.7.53) unstable; urgency=medium

  * Default accept_ra to 0 when gateway is set (Closes: #775660).
  * Don't try to parse a non-existing file given by wordexp (Closes: #776578).

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 13 Mar 2015 08:55:42 +0100

ifupdown (0.7.52) unstable; urgency=medium

  * Fix segfault when /e/n/i can't be read. Fail only when the file
    has errors, issue a warning when it can't be opened (Closes: #774212).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 04 Jan 2015 15:21:25 +0100

ifupdown (0.7.51) unstable; urgency=medium

  [ Michael Biebl ]
  * Check the hotplug interface operstate to avoid blocking the
    boot process (Closes: #771943).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 14 Dec 2014 12:34:19 +0100

ifupdown (0.7.50) unstable; urgency=medium

  [ Andrew Shadura ]
  * Configure the loopback interface by default only if user hasn't
    defined their own loopback interface (Closes: #709378).
  * Update udhcp command-line options (Closes: #741579).
  * Fix compiler warnings.
  * Update the documentation regarding "source" keyword.

  [ Michael Biebl ]
  * Call "udev settle" explicitly before configuring any devices (Closes:
    #766943).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 29 Nov 2014 14:32:32 +0100

ifupdown (0.7.49) unstable; urgency=medium

  [ Andrew Shadura ]
  * Proper implementation of auto on kFreeBSD (Closes: #738942).
  * Don't fail on sysctl failing (Closes: #757937).
  * Accept router advertisements when using DHCPv6 (Closes: #753580).
  * Don't configure hotplug interfaces on networking start to avoid races.

  [ Stéphane Graber ]
  * Upstart job tweaks.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 23 Sep 2014 17:39:51 +0200

ifupdown (0.7.48.1ubuntu10) vivid; urgency=medium

  * ifup-wait-all-auto.service: Relax dependencies to allow early boot
    services like open-iscsi to wait for network-online.target.
    (LP: #1444555)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Apr 2015 17:20:09 -0500

ifupdown (0.7.48.1ubuntu9) vivid; urgency=medium

  * debian/ifupdown.ifup-wait-all-auto.service: Wait until ifup's are actually
    done (their pid files go away), not just until ifstate claims that they
    are up (which happens at the beginning of ifup, not at the end). Fixes
    network-online.target to wait until "auto" interfaces are really up.
    (LP: #1442828)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 12 Apr 2015 06:49:10 -0500

ifupdown (0.7.48.1ubuntu8) vivid; urgency=medium

  * debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
    clean up after old broken upgrades. (LP: #1439109)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Apr 2015 12:02:39 +0200

ifupdown (0.7.48.1ubuntu7) vivid; urgency=medium

  * Fix symlink target of ifup-wait-all-auto.service so that it works as
    intended.  LP: #1425376.



=== control ===
Source: grub2
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Uploaders: Felix Zielcke <fzielcke@z-51.de>, Jordi Mallach <jordi@debian.org>, Colin Watson <cjwatson@debian.org>, Ian Campbell <ijc@debian.org>
Build-Depends: debhelper (>= 7.4.2~),
 patchutils,
 dh-autoreconf,
 automake,
 python,
 flex,
 bison,
 po-debconf,
 help2man,
 texinfo,
 gcc-5,
 gcc-5-multilib [i386 kopensolaris-i386 any-amd64 any-ppc64 any-sparc],
 xfonts-unifont,
 libfreetype6-dev,
 gettext,
 libusb-dev [!hurd-any],
 libdevmapper-dev [linux-any],
 libgeom-dev (>= 8.2+ds1-1~) [kfreebsd-any] | libgeom-dev (<< 8.2) [kfreebsd-any],
 libsdl1.2-dev [!hurd-any],
 xorriso,
 qemu-system [i386 kfreebsd-i386 kopensolaris-i386 any-amd64],
 cpio [i386 kopensolaris-i386 amd64 x32],
 parted [!hurd-any],
 libfuse-dev (>= 2.8.4-1.4) [linux-any kfreebsd-any],
 ttf-dejavu-core,
 liblzma-dev,
 dosfstools [amd64 arm64],
 mtools [amd64 arm64],
 wamerican,
 libxen-dev [i386 amd64],
 libparted-dev [any-ppc64el],
Build-Conflicts: autoconf2.13, libzfs-dev, libnvpair-dev
Standards-Version: 3.9.6
Homepage: http://www.gnu.org/software/grub/
Vcs-Git: git://anonscm.debian.org/pkg-grub/grub.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grub/grub.git

Package: grub2
Section: oldlibs
Architecture: any-i386 any-amd64 any-powerpc any-ppc64 any-ppc64el any-sparc any-sparc64
Depends: grub-pc (= ${binary:Version}) [any-i386 any-amd64] | grub-ieee1275 (= ${binary:Version}) [any-powerpc any-ppc64 any-ppc64el any-sparc any-sparc64], ${misc:Depends}
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package to handle GRUB 2 upgrades.  It can be
 safely removed.

Package: grub-linuxbios
Section: oldlibs
Architecture: any-i386 any-amd64
Depends: grub-coreboot (= ${binary:Version}), ${misc:Depends}
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package that depends on grub-coreboot.

Package: grub-efi
Section: oldlibs
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-efi-ia32 (= ${binary:Version}) [any-i386], grub-efi-amd64 (= ${binary:Version}) [any-amd64]
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package that depends on either grub-efi-ia32 or
 grub-efi-amd64, depending on the architecture.


Package: grub-common
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gettext-base, ${lsb-base-depends}
Replaces: grub-pc (<< 2.00-4), grub-ieee1275 (<< 2.00-4), grub-efi (<< 1.99-1), grub-coreboot (<< 2.00-4), grub-linuxbios (<< 1.96+20080831-1), grub-efi-ia32 (<< 2.00-4), grub-efi-amd64 (<< 2.00-4), grub-efi-ia64 (<< 2.00-4), grub-yeeloong (<< 2.00-4)
Recommends: os-prober (>= 1.33)
Suggests: multiboot-doc, grub-emu [any-i386 any-amd64 any-powerpc], xorriso (>= 0.5.6.pl00), desktop-base (>= 4.0.6), console-setup
# See bugs #435983 and #455746
Conflicts: mdadm (<< 2.6.7-2)
Breaks: lupin-support (<< 0.55), friendly-recovery (<< 0.2.13), apport (<< 2.1.1)
Multi-Arch: foreign
Description: GRand Unified Bootloader (common files)
 This package contains common files shared by the distinct flavours of GRUB.
 It is shared between GRUB Legacy and GRUB 2, although a number of files
 specific to GRUB 2 are here as long as they do not break GRUB Legacy.

Package: grub2-common
Priority: optional
# Not Architecture: any because this package contains some things which are
# only built when there is a real platform (e.g. grub-install), and the rest
# of the package is not very useful in a utilities-only build.
Architecture: any-i386 any-amd64 any-powerpc any-ppc64 any-ppc64el any-sparc any-sparc64 any-mipsel any-ia64 any-arm any-arm64
Depends: grub-common (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Replaces: grub, grub-legacy, grub-common (<< 1.99-1), grub-pc (<< 2.00-4), grub-ieee1275 (<< 2.00-4), grub-efi (<< 1.99-1), grub-coreboot (<< 2.00-4), grub-linuxbios (<< 1.99-1), grub-efi-ia32 (<< 2.00-4), grub-efi-amd64 (<< 2.00-4), grub-efi-ia64 (<< 2.00-4), grub-ieee1275 (<< 2.00-4), grub-yeeloong (<< 2.00-4)
Conflicts: grub (<< 0.97-54), grub-legacy, ${legacy-doc-conflicts}
Multi-Arch: foreign
Description: GRand Unified Bootloader (common files for version 2)
 This package contains common files shared by the distinct flavours of GRUB.
 The files in this package are specific to GRUB 2, and would break GRUB
 Legacy if installed on the same system.

Package: grub-emu
Architecture: any-i386 any-amd64 any-powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
Replaces: grub-common (<= 1.97~beta3-1)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (emulated version)
 This package contains grub-emu, an emulated version of GRUB.  It is only
 provided for debugging purposes.

Package: grub-emu-dbg
Section: debug
Architecture: any-i386 any-amd64 any-powerpc
Depends: ${misc:Depends}, grub-emu (= ${binary:Version}), grub-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (emulated debug files)
 This package contains debugging files for grub-emu.  You only need these if
 you are trying to debug GRUB using its GDB stub.

Package: grub-pc-bin
Priority: optional
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-pc (<< 1.99-1)
Suggests: desktop-base (>= 4.0.6)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 This package contains a version of GRUB that has been built for use with
 traditional PC/BIOS architecture.  It will not automatically install GRUB
 as the active boot loader, nor will it automatically update grub.cfg on
 upgrade, so most people should install grub-pc instead.

Package: grub-pc-dbg
Section: debug
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-pc-bin (= ${binary:Version}), grub-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS debug files)
 This package contains debugging files for grub-pc-bin.  You only need these
 if you are trying to debug GRUB using its GDB stub.

Package: grub-pc
Priority: optional
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-pc-bin (= ${binary:Version}), ucf, freebsd-utils (>= 8.0-4) [kfreebsd-any], ${gfxpayload-depends}
Replaces: grub, grub-legacy, grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-efi-amd64, grub-efi-ia32, grub-coreboot, grub-ieee1275
Conflicts: grub (<< 0.97-54), grub-legacy, grub-efi-amd64, grub-efi-ia32, grub-coreboot, grub-ieee1275, grub-xen
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS version)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 This package contains a version of GRUB that has been built for use with
 traditional PC/BIOS architecture.

Package: grub-rescue-pc
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GRUB bootable rescue images, version 2 (PC/BIOS version)
 This package contains three GRUB rescue images that have been built for use
 with the traditional PC/BIOS architecture:
 .
  - grub-rescue-floppy.img: floppy image.
  - grub-rescue-cdrom.iso: El Torito CDROM image.
  - grub-rescue-usb.img: USB image.

Package: grub-coreboot-bin
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-linuxbios, grub-coreboot (<< 1.99-1)
Conflicts: grub-linuxbios (<< ${source:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot binaries)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains a version of GRUB that has been built for use with
 platforms running the Coreboot firmware.  It will not automatically install
 GRUB as the active boot loader, nor will it automatically update grub.cfg
 on upgrade, so most people should install grub-coreboot instead.

Package: grub-coreboot-dbg
Section: debug
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-coreboot-bin (= ${binary:Version}), grub-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot debug files)
 This package contains debugging files for grub-coreboot-bin.  You only need
 these if you are trying to debug GRUB using its GDB stub.

Package: grub-coreboot
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-coreboot-bin (= ${binary:Version}), ucf
Replaces: grub-legacy, grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-linuxbios, grub-efi-amd64, grub-efi-ia32, grub-pc, grub-ieee1275
Conflicts: grub (<< 0.97-54), grub-legacy, grub-linuxbios (<< ${source:Version}), grub-efi-amd64, grub-efi-ia32, grub-pc, grub-ieee1275, grub-xen
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot version)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains a version of GRUB that has been built for use with
 platforms running the Coreboot firmware.

Package: grub-efi-ia32-bin
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version}), efibootmgr [linux-any]
Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-efi, grub-efi-ia32 (<< 1.99-1)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
